<div style="margin-top: 20px" [hidden]="loginuser === 'HKW' || loginuser === 'IKM'">
    <div class="container">
      <div class="row">
        <div style="margin-bottom: 10px"></div>
        <p-tabView>
          <br />
          <h5>
            <span> &nbsp; Approval Disposition</span>
          </h5>
          
          <p-tabPanel header="New">
            <jhi-tab-approval-disposisi         
            [idStatusType]="10">
            </jhi-tab-approval-disposisi>
          </p-tabPanel>
          <p-tabPanel header="Approved">
            <form name="searchForm" class="form-inline">
              <div class="input-group w-100 mt-3">
                <input
                  type="text"
                  class="form-control"
                  [(ngModel)]="currentSearch"
                  id="currentSearch"
                  name="currentSearch"
                  placeholder="Please Insert Disposition Number"
                />
                <button
                  class="input-group-addon btn btn-info flat-style-button"
                  (click)="search9(currentSearch)"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-search"></span>
                </button>
                <button
                  class="input-group-addon btn btn-danger flat-style-button"
                  (click)="clear()"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-trash-o"></span>
                </button>
              </div>
            </form>
            <br />

            <p-dataTable
          [value]="joborders"
          [(selection)]="selected"
          [editable]="true"
          [rows]="itemsPerPage"
          [headerCheckboxToggleAllPages]="true"
          [paginator]="true"
          [pageLinks]="5"
          [rowsPerPageOptions]="[10,15,20]"
          [totalRecords]="totalItems"
          [responsive]="true"
          [lazy]="true"
          [(first)]="first"
          row="itemsPerPage"
          totalRecords="totalItems"
          dataKey="no_dsp"
          expandableRows="false"
          rowHover="true"
          (onLazyLoad)="loadDataLazy($event)">
          <p-header>
          </p-header>
          <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                  {{rowIndex + 1}}
              </ng-template>
          </p-column>
          <p-column header="Disposition Number">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.no_dsp}}
              </ng-template>
          </p-column>
          <p-column header="Disposition Date">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.tgl_dsp | date:'dd/MM/yyyy'}}
              </ng-template>
          </p-column>
          <p-column header="Status">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.status}}
              </ng-template>
          </p-column>
          <p-column header="Created By">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.iduser}}
              </ng-template>
          </p-column>
          <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
              <ng-template let-rowData="rowData" pTemplate="body">
                  <button pButton type="submit"
                          (click)="lihatPO(rowData)" 
                          icon="fa-eye" pTooltip="Preview Detail Disposisi"
                          class="flat-button">
                  </button>
              </ng-template>
          </p-column>
          <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
          </ng-template>
          </p-dataTable>

          </p-tabPanel>
        </p-tabView>
      </div>
    </div>
</div>
<div style="margin-top: 20px" *ngIf="loginuser === 'HKW' || loginuser === 'IKM'">
  <div class="container">
    <div class="row">
      <div style="margin-bottom: 10px"></div>
      <p-tabView>
        <br />
        <h5>
          <span> &nbsp; Approval Disposition</span>
        </h5>
        
        <p-tabPanel header="New">
          <jhi-tab-approval-disposisi         
          [idStatusType]="10">
          </jhi-tab-approval-disposisi>
        </p-tabPanel>
        <p-tabPanel header="Approved">
          <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
              <input
                type="text"
                class="form-control"
                [(ngModel)]="currentSearch"
                id="currentSearch"
                name="currentSearch"
                placeholder="Please Insert Disposition Number"
              />
              <button
                class="input-group-addon btn btn-info flat-style-button"
                (click)="search11(currentSearch)"
                *ngIf="currentSearch"
              >
                <span class="fa fa-search"></span>
              </button>
              <button
                class="input-group-addon btn btn-danger flat-style-button"
                (click)="clear()"
                *ngIf="currentSearch"
              >
                <span class="fa fa-trash-o"></span>
              </button>
            </div>
          </form>
          <br />

          <p-dataTable
          [value]="jobordersManager"
          [(selection)]="selected"
          [editable]="true"
          [rows]="itemsPerPage"
          [headerCheckboxToggleAllPages]="true"
          [paginator]="true"
          [pageLinks]="5"
          [rowsPerPageOptions]="[10,15,20]"
          [totalRecords]="totalItems"
          [responsive]="true"
          [lazy]="true"
          [(first)]="first"
          row="itemsPerPage"
          totalRecords="totalItems"
          dataKey="no_dsp"
          expandableRows="false"
          rowHover="true"
          (onLazyLoad)="loadDataLazy($event)">
          <p-header>
          </p-header>
          <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                  {{rowIndex + 1}}
              </ng-template>
          </p-column>
          <p-column header="Disposition Number">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.no_dsp}}
              </ng-template>
          </p-column>
          <p-column header="Disposition Date">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.tgl_dsp | date:'dd/MM/yyyy'}}
              </ng-template>
          </p-column>
          <p-column header="Status">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.status}}
              </ng-template>
          </p-column>
          <p-column header="Created By">
              <ng-template let-rowData="rowData" pTemplate="body">
                  {{rowData.iduser}}
              </ng-template>
          </p-column>
          <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
              <ng-template let-rowData="rowData" pTemplate="body">
                  <button pButton type="submit"
                          (click)="lihatPO(rowData)" 
                          icon="fa-eye" pTooltip="Preview Detail Disposisi"
                          class="flat-button">
                  </button>
              </ng-template>
          </p-column>
          <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
          </ng-template>
          </p-dataTable>

        </p-tabPanel>
      </p-tabView>
    </div>
  </div>
</div>
  <div style="margin-top: 10px"></div>
  <p-dialog header="Detail Disposisi" [(visible)]="modalLihatDisposisi" modal="true" [width]="1000">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="detailDisposisi" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="no_dsp" expandableRows="true"
                rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                <p-header>

                </p-header>
                </p-column>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="No Disposition">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_dsp}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Produk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kd_group}} {{rowData.kd_produk}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Produk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nm_produk}}
                    </ng-template>
                </p-column>
                <p-column header="Qty">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.satuan}}
                    </ng-template>
                </p-column>
                <p-column header="Batch Number">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_batch}}
                    </ng-template>
                </p-column>
                <p-column header="Palet">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_palet}}
                    </ng-template>
                </p-column>
                <p-column header="Detail Batch">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_prod}}
                    </ng-template>
                </p-column>
                <p-column header="Exp Date">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_ub | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Palet Date">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_palet | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Information">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.keterangan}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>

  <p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>
  